6.0.0-git
2019-09-21

[#2422] IMP namespace support
Summary IMP namespace support
Queue IMP
Queue Version HEAD
Type Bug
State Resolved
Priority 3. High
Owners Horde Developers (at) , slusarz (at) horde (dot) org
Requester slusarz (at) horde (dot) org
Created 2005-08-11 (5154 days ago)
Due
Updated 2006-04-28 (4894 days ago)
Assigned 2005-08-25 (5140 days ago)
Resolved 2005-10-13 (5091 days ago)
Milestone 4.1.0
Patch No

History
2006-04-28 20:13:09 Michael Slusarz Deleted Original Message
 
2006-04-28 20:10:34 Michael Slusarz Comment #80 Reply to this comment
For further discussion, see, e.g.:

http://lists.horde.org/archives/imp/Week-of-Mon-20060417/045056.html

and the rest of that thread.
2005-10-13 06:57:51 Michael Slusarz Comment #79
State ⇒ Resolved
Reply to this comment
******************************

This report is starting to get quite lengthy and I think it is about 
time for us to close it out.  The namespace code seems to be pretty 
stable at the current stage - stable meaning that it works fine 
w/"average" IMP usage. It seems like the bugs that are being identifed 
now are the fringe cases and not showstoppers.  Therefore, all future 
bug reports dealing with namespace should be filed in a new ticket 
rather than in this ticket.

******************************
2005-10-13 06:51:31 Michael Slusarz Comment #78 Reply to this comment
I'm not sure why you said, "Please delete".  I?m current on IMP &
Horde with the exception of the file: imp/lib/IMAP/Tree.php as the
aforementioned error keeps Horde and IMP screens from rendering.
then you either have an outdated horde framework, you have an outdated 
framework/IMAP/IMAP/Tree.php file, or you are using some kind of 
caching system that needs to be flushed.  this is not an issue with 
the code.
2005-10-13 06:49:04 Michael Slusarz Comment #77 Reply to this comment
the prefs - after changing the identity, the mail-folder
"hierarchical after/below" sent-mail is selected.
this should be fixed now.
just updated - still the same behaviour
then i am not understanding the issue.  you will have to describe the 
issue more fully (w.g. what you are seeing vs. what you expect to see) 
to allow us to debug.
2005-10-12 16:03:01 s_gatterbauer (at) idlm (dot) net Comment #76 Reply to this comment
the prefs - after changing the identity, the mail-folder
"hierarchical after/below" sent-mail is selected.
this should be fixed now.
just updated - still the same behaviour
2005-10-12 14:49:59 channing-c (at) satx (dot) rr (dot) com Comment #75 Reply to this comment
I'm not sure why you said, "Please delete".  I?m current on IMP & 
Horde with the exception of the file: imp/lib/IMAP/Tree.php as the 
aforementioned error keeps Horde and IMP screens from rendering.   
(Horde's page has the INBOX frame as one of it's views.)  Here is the 
nitty gritty:



Horde (horde) 3.1-cvs

Mail (imp) H3 (4.1-cvs)



httpd 2.0.52 (Apache)

dovecot 0.99.11

RedHat Ent. 4.1





On a side note, I'd like to thank the developers for such a great 
product and all their hard work!



Channing


2005-10-12 14:47:31 channing-c (at) satx (dot) rr (dot) com Comment #74
New Attachment: Document1.txt
Reply to this comment

[Show Quoted Text - 13 lines]
2005-10-12 06:46:35 Michael Slusarz Comment #73 Reply to this comment
And I don't know
any other mail client that shows all namespaces if they are empty for
me.
all right - you sold me.  I've added code to never display empty namespaces.
2005-10-12 06:32:19 Michael Slusarz Comment #72 Reply to this comment
when changing the identity in compose.php, the sent-mail folder is
set a little bit strange : on entry there is the proper value from
the prefs - after changing the identity, the mail-folder
"hierarchical after/below" sent-mail is selected.
this should be fixed now.
2005-10-09 16:19:45 vilius (at) lnk (dot) lt Comment #71 Reply to this comment
1) Sent Mail folder still can not be saved in identities window. IMP
is trying to create folder ".Sent Mail" instead of "Sent Mail".
Try what i just committed.
Great. It works now.
2005-10-09 14:33:50 s_gatterbauer (at) idlm (dot) net Comment #70 Reply to this comment
sent-mail folder can be saved now - thank you.

when changing the identity in compose.php, the sent-mail folder is set 
a little bit strange : on entry there is the proper value from the 
prefs - after changing the identity, the mail-folder "hierarchical 
after/below" sent-mail is selected.
2005-10-08 17:53:48 Jan Schneider Comment #69 Reply to this comment
2) Is it possible to hide "user" namespace if user don't have any
viewable public mailboxes under it, and user don't have permission to
create one?
No.  There is no way to retrieve folder permissions via imap (at
least that I am aware of).  Disable the namespace in your IMAP server
if you do not want to broadcast the namespace to the user.
This is not even possible with Cyrus servers IIRC. And I don't know 
any other mail client that shows all namespaces if they are empty for 
me.
2005-10-08 17:01:39 Michael Slusarz Comment #68 Reply to this comment
1) Sent Mail folder still can not be saved in identities window. IMP
is trying to create folder ".Sent Mail" instead of "Sent Mail".
Try what i just committed.
2) Is it possible to hide "user" namespace if user don't have any
viewable public mailboxes under it, and user don't have permission to
create one?
No.  There is no way to retrieve folder permissions via imap (at least 
that I am aware of).  Disable the namespace in your IMAP server if you 
do not want to broadcast the namespace to the user.
2005-10-08 16:40:45 Michael Slusarz Comment #67 Reply to this comment
If creating folders from the "Move/Copy To" drop downs, the personal
namespace isn't put in front of the entered folder name.
This should be fixed.
2005-10-07 08:56:50 vilius (at) lnk (dot) lt Comment #66 Reply to this comment
If creating folders from the "Move/Copy To" drop downs, the personal
namespace isn't put in front of the entered folder name.
Confirmed.
2005-10-07 08:41:04 Jan Schneider Comment #65 Reply to this comment
If creating folders from the "Move/Copy To" drop downs, the personal 
namespace isn't put in front of the entered folder name.
2005-10-07 08:30:28 vilius (at) lnk (dot) lt Comment #64 Reply to this comment
1) Sent Mail folder still can not be saved in identities window. IMP 
is trying to create folder ".Sent Mail" instead of "Sent Mail".



2) Is it possible to hide "user" namespace if user don't have any 
viewable public mailboxes under it, and user don't have permission to 
create one?
2005-10-07 05:07:36 Michael Slusarz Assigned to Horde DevelopersHorde Developers
 
2005-10-03 02:50:44 David (at) auonline (dot) com (dot) au Comment #63 Reply to this comment

[Show Quoted Text - 10 lines]
Please delete...sorry
2005-10-03 02:47:42 david (at) auonline (dot) com (dot) au Comment #62 Reply to this comment
I just grabbed latest horde/imp

In my logs getting PHP Fatal error:  Call to undefined function:   
imapchildrensupport() in /var/www/html/horde/imp/lib/IMAP/Tree.php on 
line 81, referer:

http://blahblah.

Yet in my horde/framework/IMAP/IMAP/Tree.php I see

1827 function IMAPchildrenSupport($support)

1828   {

1829        $this->_childrensupport = (bool) $support;

1830    }
2005-10-01 15:32:12 Michael Slusarz Comment #61 Reply to this comment

[Show Quoted Text - 12 lines]
Fixed in CVS.


2005-10-01 15:09:40 vilius (at) lnk (dot) lt Comment #60
New Attachment: Client.php.patch Download
Reply to this comment
Nailed it. Patch attached.
2005-10-01 12:26:57 vilius (at) lnk (dot) lt Comment #59 Reply to this comment
I don't know if this is related but I get these errors after today 
update from CVS:



1) Just after login: Fatal error: Call to undefined function: 
_generatesid() in /var/www/html/horde/imp/lib/IMAP/Client.php on line 
542 in portal page.



2) Warning: explode(): Empty delimiter. in 
/usr/share/pear/Horde/IMAP/Tree.php on line 404

  and

Warning: strpos(): Empty delimiter. in 
/usr/share/pear/Horde/IMAP/Tree.php on line 1153



in folder navigator.
2005-09-28 05:32:50 Michael Slusarz Comment #58 Reply to this comment
we now only use the children flags in Horde/IMP head if they are 
available on the imap server.
2005-09-27 20:34:51 Michael Slusarz Comment #57 Reply to this comment
We may also want to support the LISTEXT extension (currently still an
Internet Draft
http://www.ietf.org/internet-drafts/draft-ietf-imapext-list-extensions-13.txt).  This extension is supported by Cyrus, Dovecot, 
and
CommunigatePro.
LISTEXT doesn't get us anything since we only do direct queries to the 
imap server for purposes of the 'namespace' and 'capabilities' 
commands, which are not supported by the current c-client imap_* 
functions.  the LISTEXT command is probably already used internally by 
the imap_list/imap_lsub functions and, in any case, we exclusively use 
the imap functions to obtain the folder information from the imap 
servers.
2005-09-27 17:49:09 Matt Selsky Comment #56 Reply to this comment
We may also want to support the LISTEXT extension (currently still an 
Internet Draft 
http://www.ietf.org/internet-drafts/draft-ietf-imapext-list-extensions-13.txt).  This extension is supported by Cyrus, Dovecot, and 
CommunigatePro.
2005-09-27 17:31:33 Michael Slusarz Comment #55 Reply to this comment
Is it worth doing a
CAPABILITY check for the "CHILDREN" extension?
Hmmm... why didn't I think of this.  good idea.  i will look into doing this.
2005-09-27 16:30:33 Matt Selsky Comment #54 Reply to this comment
Verified with UWash 2004d.  Thanks, Michael.  Is it worth doing a 
CAPABILITY check for the "CHILDREN" extension?
2005-09-27 06:35:57 Michael Slusarz Comment #53 Reply to this comment
The problem matt was seeing with UW servers should be fixed now.  Matt 
- can you verify this?
2005-09-24 12:41:45 s_gatterbauer (at) idlm (dot) net Comment #52 Reply to this comment
Now the settings in "Server and Folder Information" are saved 
(INBOX/drafts and SPAM) at my current installation.

I like the "quick suggestion" of Michael Slusarz (disable "Strip 
personal namespace") - it is working fine for me (only in 
imp/folders.php it is not possible to expand INBOX).

My sent-mail Folder problem still exists.


2005-09-22 07:38:22 vilius (at) lnk (dot) lt Comment #51 Reply to this comment
Also, the empty folder '#user' is *supposed* to be there when viewing
unsubscribed - or else, how is an end user supposed to know that
namespace even exists (i.e. to create folders in)?
OK, then again. All my folders are *under* namespace "user". Why 
folders a displayed at the same level as the namespace their are 
created in?
2005-09-22 04:09:35 Michael Slusarz Comment #50 Reply to this comment
This was only a quick suggestion on how to make it work - obviously, 
it was not the solution.



Also, the empty folder '#user' is *supposed* to be there when viewing 
unsubscribed - or else, how is an end user supposed to know that 
namespace even exists (i.e. to create folders in)?  This is sort of an 
offshoot of Bug 1550.
2005-09-19 18:00:42 vilius (at) lnk (dot) lt Comment #49 Reply to this comment
As for the mailbox level concerns - I believe I've already made the
argument why it needs to be this way in this bug thread.  If you want
to go back to the "old" way locally, you can comment out the code
block (approx. 10 lines) in _makeMailboxTreeElt() right after the
comment "* Strip personal namespace. */".
If I comment this block, folders are only shown when I click "Show 
unsubscribed folders". By the way, I have mystical empty folder "user" 
in unsubscribed folders list.
2005-09-19 18:00:39 s_gatterbauer (at) idlm (dot) net Comment #48 Reply to this comment
For me nothing has changed - when I select the existing folder 
INBOX/sent-mail for an identity as sent mail folder, a new folder 
sent-mail (not below INBOX) is created when saving the preference.

Also I am not able to set the draft-folder to INBOX/drafts - after 
saving and looking again at the " Server and Folder Information" the 
setting for the drafts folder is again "Create a new drafts folder".

Both things work, when the selected folder is not a child of my INBOX.

Horde from about 20 minutes ago, Cyrus 2.2.12 on Fedora Core 2, Apache 
1.3.33, PHP 4.3.11
2005-09-19 16:33:17 Matt Selsky Comment #47 Reply to this comment
I still can't expand folders with UWash imap.  Things look fine with 
Cyrus imap.



UWash imapd 2004a



Namespace response from server:

* NAMESPACE (("" "/")) NIL (("#shared/" "/"))
2005-09-19 16:23:32 rod (at) morison (dot) biz Comment #46 Reply to this comment
I can confirm that with yesterday's update folders are now working properly...



Horde (horde)  3.1-cvs as of 2005-09-18 23:11

Mail (imp)  H3 (4.1-cvs) as of 2005-09-18 23:11

cyrus-imapd-2.2.12

postfix-2.1.3




2005-09-19 15:09:08 Michael Slusarz Comment #45 Reply to this comment
Can confirm that Jan's changes work fine on a system that has a blank 
default namespace (dovecot).



As for the mailbox level concerns - I believe I've already made the 
argument why it needs to be this way in this bug thread.  If you want 
to go back to the "old" way locally, you can comment out the code 
block (approx. 10 lines) in _makeMailboxTreeElt() right after the 
comment "* Strip personal namespace. */".
2005-09-19 10:16:56 Jan Schneider Comment #44 Reply to this comment
I have to concur Michael, that the new tree layout makes much more 
sense, and is actually how every other mail client works.
2005-09-19 09:52:35 vilius (at) lnk (dot) lt Comment #43 Reply to this comment
Great. Everything works for me too.



However I'm concerned about the second issue that I was discussing in 
my previous comment. As you can see here, on bugs.horde.org, a lot of 
users are concerned about why folders are displayed different (and 
IMHO not logical way). Today, after Horde/IMP upgrade, I recieved a 
couple calls from my users too. Their are saying that "someone moved 
their folders out of their places".
2005-09-18 22:35:52 Jan Schneider Comment #42 Reply to this comment
Please try everybody what I committed. All folder preferences and 
related actions are working properly for me now on Cyrus. And the 
changes shouldn't break anything else, unless you use folders from an 
empty namespace, i.e. a global mailbox as the spam folder on Cyrus.
2005-09-14 08:15:55 Jan Schneider Comment #41 Reply to this comment
Unfortunately, this is still not a viable solution, because we can't 
provide portable default values for the folder prefs in this case.
2005-09-14 00:07:29 Michael Slusarz Comment #40 Reply to this comment
The IMP::getNamespace() issue that Jan brought up seems like it pretty 
much seals the deal that we will have to store all preferences with 
their full mailbox name.  Any other solution would be a hack.



Thus, it looks like some kind of upgrade script needs to be created.
2005-09-12 14:06:27 Jan Schneider Comment #39 Reply to this comment
I analyzed the problem, but couldn't come up with a bright idea how to 
solve it:



IMP::getNamespace() is assuming that a folder that doesn't belong to a 
specific namespace belongs to the empty namespace, if one exists. With 
Cyrus, the shared namespace is empty by default, i.e. if not using 
"altnamespace".

This causes IMP::folderPref() to not match preference folders like 
"Trash" with the personal namespace which would be the correct 
outcome, but the shared namespace. As a result, the folder preferences 
aren't prefixed with "INBOX.".
2005-09-12 12:28:05 rosenfeld (at) alum (dot) mit (dot) edu Comment #38 Reply to this comment
I updated to CVS head today.  I still have a problem.  Within IMP, if 
I go to Options -> Personal Information and try to set my "Sent mail 
folder" to sent-mail, I get the following error:



The folder "sent-mail" was not created. This is what the server said: 
Invalid mailbox name.



sent-mail is actually INBOX.sent-mail, but appears at the same level 
as INBOX in the drop down.
2005-09-08 19:40:03 Josef (dot) Kluibr (at) nts (dot) cz Comment #37 Reply to this comment
I have upgraded on version 1.55

Problem with auto-creation of sent-mail folder has disappeared. It works fine.

But there is still problem with creation of folder in INBOX folder. 
When I want to create folder "test" under INBOX folder it writes me an 
error



The folder "INBOXtest" was not created. This is what the server said: 
Invalid mailbox name.



There is no writed delimiter between INBOX and test.


2005-09-08 19:32:35 s_gatterbauer (at) idlm (dot) net Comment #36 Reply to this comment
For me the following does not work (yet) :

in the preferences it seems, that only folders at the same level as INBOX will

be saved as settings.

For example : My SPAM-Folder is at the same level as INBOX and is saved -

  my Drafts-Folder lies below INBOX (= INBOX/drafts) and is not saved as pref.

Also if I want to set the sent-mail folder for an identity :

  If I select  INBOX/sent-mail from the list,  a new folder  sent-mail 
  (not as child

of INBOX !) is created and so it is also saved as preference.



everything else is fine



Cyrus 2.2.12 with unixhierarchysep: yes on Fedora Core 2, Apache 1.3.33,

PHP 4.3.11 and the latest Horde from CVS



kind regards



Stefan
2005-09-08 19:18:57 Josef (dot) Kluibr (at) nts (dot) cz Comment #35 Reply to this comment
I have same problem like vilius. I would like to help you debug this 
problem. I use for imap courier. Can you write me, how can I help you 
to debug it?

I mean that problem is in missing delimiter after "INBOX"  It uses 
"INBOX" instead of  "INBOX."
2005-09-08 14:32:27 vilius (at) lnk (dot) lt Comment #34 Reply to this comment
Not sure what you mean by 'not converted'.  The actual preference
When I send mail, I still get "could not create sent-mail folder: 
access denied" error. Or when deleting - "could not create trash 
folder: access denied".

[Show Quoted Text - 9 lines]
I'm not very familiar with IMAP_Tree and IMP_Tree code, so any help 
where I can insert debug code is welcome.
As to your second point - you need to read the rest of the thread.
This is the expected (and cleaner) behavior.  Short explanation:
namespaces are not something the end user should be concerned with.
Therefore, we should always show personal namespaces in the same
location (rather than showing these folders under INBOX on one server
and on the same level as INBOX on another).
This sounds little bit strange for me as advanced user. All general 
email client programs (Outlook Express, The Bat, etc) show folders "my 
way". As you said, namespaces are not something the end user should be 
concerned with (in other words they don't care how folders will be 
shown exactly), but advanced users always want to know exact structure 
of their folders and keep it in mind during mailbox organization and 
maintenance.



By the way, what happens if I would create mail folder outside my 
personal namespace? Will it be shown on the same level as INBOX?
2005-09-08 13:55:46 Michael Slusarz Comment #33 Reply to this comment
Response to Vilius (9/8/05):

Not sure what you mean by 'not converted'.  The actual preference 
values stored in the prefs backend will not be touched.  Instead, IMP 
automagically adds personal namespace information (if needed) when 
retrieving and strips this information (if needed) when storing.  The 
current code works for me in all the test cases I can figure out and 
on two different configurations of the default namespace (a blank 
namespace and the 'INBOX.' namespace) so if this is still not working 
for you (or anyone else) you are going to have to start helping debug 
since there is no more code that needs to be added, only bugfixing at 
this point.



As to your second point - you need to read the rest of the thread.   
This is the expected (and cleaner) behavior.  Short explanation: 
namespaces are not something the end user should be concerned with.   
Therefore, we should always show personal namespaces in the same 
location (rather than showing these folders under INBOX on one server 
and on the same level as INBOX on another).
2005-09-08 08:49:25 vilius (at) lnk (dot) lt Comment #32 Reply to this comment
Sent mail/Spam/Trash preferences still not migrated.



Another problem: all folders are shown, but in bad hierarchy. For 
example all my folders phisically on server are under INBOX. But in 
IMP they are shown on the same level as inbox.
2005-09-08 06:09:46 Michael Slusarz Comment #31
State ⇒
Reply to this comment
I think I have fixed the expansion of non-personal namespaces issue.
2005-09-07 06:10:11 josef (dot) kluibr (at) nts (dot) cz Comment #30 Reply to this comment
  When I want to create subfolder (for example with name test) of INBOX

folder, it writes an error message



    The folder "INBOXtest" was not created. This is what the server said:

Invalid mailbox name.



There is missing delimiter
2005-09-06 09:13:57 r (dot) chalabi (at) manchester (dot) ac (dot) uk Comment #29 Reply to this comment
using Oracle Collaboration Suite, folders within the INBOX are not 
shown in the folder list although they are shown in the search box and 
selection of folders in the mailbox view. Tracing the code shows LSUB 
"" % instead of LSUB "" * to list all folders.
2005-09-06 03:44:45 Matt Selsky Comment #28 Reply to this comment
UW-IMAP should be fixed now (INBOX should appear at least).
Confirmed, INBOX does appear now.  Folders in personal namespace are 
still not expandable.
2005-09-06 03:41:16 Michael Slusarz Comment #27 Reply to this comment
- Subfolders of shared/user namespaces don't show up anymore.

MS: Will look into this.



- Shared/user namespaces are shown even if empty, ie. without folders 
in these namespaces.

MS: This is desired behavior.  If we don't show the namespace when 
empty, a user may not even know it exists and that they may possibly 
be able to create new folders in it.



- Expand all/expanding INBOX doesn't work anymore with one server. 
Pref there is to collaps all folders by default.

MS: I think I fixed this a few days ago (I could reproduce it then, 
but since I committed my fixes it has worked for me since).



- Refreshing the folder list doesn't work anymore. Some folders had 
been created externally under a container, but they don't show up 
after clicking refresh.

MS: I can't reproduce this.
2005-09-06 03:33:20 Michael Slusarz Comment #26 Reply to this comment
UW-IMAP should be fixed now (INBOX should appear at least).

From the 9/1/05 post - #1 is invalid as this is now the expected behavior.
2005-09-05 20:53:30 Matt Selsky Comment #25 Reply to this comment
Not positive this is related, but I'm connecting to a pop3/ssl server 
and the Mail summary block shows the following warnings:



Notice: Undefined variable: name in 
/etc/httpd/htdocs/horde/framework/IMAP/IMAP/Tree.php on line 1713

Notice: Undefined index: v in 
/etc/httpd/htdocs/horde/framework/IMAP/IMAP/Tree.php on line 1070

Notice: Undefined index: v in 
/etc/httpd/htdocs/horde/framework/IMAP/IMAP/Tree.php on line 1079
2005-09-03 03:35:37 Matt Selsky Comment #24 Reply to this comment
Latest HEAD:



On UWash, Inbox doesn't show up on the sidebar.  Also folders aren't 
showing the expand icon.  Public shared folders are working correctly. 
  The IMAP_Tree seems to be working fine.



On Cyrus, Inbox, Personal namespaces, and Public shared namespaces all 
seem to be working fine in the sidebar and the IMAP_Tree.
2005-09-02 04:03:16 imp (dot) lists (dot) hordel (dot) org (at) rosenfeld (dot) to Comment #23 Reply to this comment
Sync'd again this evening.  However, the following issues from my 
prior comment still remain.  #3 is the case for any "special" folders 
like sent-mail, drafts, and trash.  The drops downs contain them, but 
outside of INBOX, so it seems they cannot be found or created.
1)  All child folders of my INBOX are now shown at the same level as
inbox in the left hand sidebar menu
3)  IMP cannot save a copy in INBOX.sent-mail per preferences.  It
generates the error:
The folder "sent-mail" was not created. This is what the server said:
Invalid mailbox name.
2005-09-01 07:51:49 Jan Schneider Comment #22 Reply to this comment
The hierarchies are working perfectly now for me in all folder listings/trees.



These are the issues I still (or since recently) experience:

- Subfolders of shared/user namespaces don't show up anymore.

- Shared/user namespaces are shown even if empty, ie. without folders 
in these namespaces.

- Expand all/expanding INBOX doesn't work anymore with one server. 
Pref there is to collaps all folders by default.

- Refreshing the folder list doesn't work anymore. Some folders had 
been created externally under a container, but they don't show up 
after clicking refresh.
2005-09-01 06:01:09 Michael Slusarz Comment #21 Reply to this comment
The sidebar should be fixed now - child folders will be able to be 
expanded again.    The drop-down list in IMP works fine for me (all 
levels are displayed with correct indentation).  Create/rename folder 
from the folders screen should work.  Still TODO: appending the 
default namespace to all mailbox preference values.
2005-08-29 23:26:23 imp (dot) lists (dot) hordel (dot) org (at) rosenfeld (dot) to Comment #20 Reply to this comment
I still have problems with CVS head as of 8/29, most mentioned below.   
My mail server is the courier suite 0.48.1



1)  All child folders of my INBOX are now shown at the same level as 
inbox in the left hand sidebar menu

2)  In the sidebar menu, the child folders are only shown for the 
first level under Inbox and no deeper

3)  IMP cannot save a copy in INBOX.sent-mail per preferences.  It 
generates the error:

The folder "sent-mail" was not created. This is what the server said: 
Invalid mailbox name.



From slusarz's post to the list on 8/23, I'm not sure if this is 
irrelevant.  Sorry if it is.  My folders.php screen also shows all the 
child folders at the same level as INBOX, but it shows all depths.
2005-08-26 07:49:27 Jan Schneider Comment #19 Reply to this comment
Update: the folder view is fine now, and doesn't get busted if 
clicking refresh. The sidebar still only shows the top level folders, 
and the drop down list still works, but still with one indention level 
too much.
2005-08-25 21:16:43 Jan Schneider Comment #18 Reply to this comment

[Show Quoted Text - 9 lines]
There is another reason *not* to go down this road. If we include the 
namespace with the preference, we can no longer provide portable 
default values for the folder preferences.
2005-08-25 21:15:36 Jan Schneider Comment #17 Reply to this comment
As for the polling prefs - those are going to be messed up until we
come up with a solution on how we want to convert the current prefs -
Yeah, I just added this for completeness.
As for the hierarchy issue - this is actually intended behavior.  It
makes the most sense to mask the namespaces for all personal
namespaces (Jan's proposal for prefs storing uses this same argument)
and show them on the same top-level as INBOX rather than as
subfolders.  this tracks with RFC 2422 which states:
If an INBOX exists for a user, it MUST appear within the user's personal
namespace.
Makes sense, and is what people experience from most other clients. 
But it should be the same in the drop down list too then.
2005-08-25 19:04:58 vilius (at) lnk (dot) lt Comment #16 Reply to this comment
As for the polling prefs - those are going to be messed up until we
come up with a solution on how we want to convert the current prefs -
whether we want to implement the system Jan proposed on dev@ or
whether we want to convert all those preferences via script, etc.  So
right now, while in testing mode, this kind of stuff will have to be
changed by hand.
I'm voting for the script. It is not difficult for the admins to run 
it once and it makes no overhead.
2005-08-25 16:32:40 Michael Slusarz Comment #15
State ⇒ Assigned
Reply to this comment
Fix one, break another :(



As for the polling prefs - those are going to be messed up until we 
come up with a solution on how we want to convert the current prefs - 
whether we want to implement the system Jan proposed on dev@ or 
whether we want to convert all those preferences via script, etc.  So 
right now, while in testing mode, this kind of stuff will have to be 
changed by hand.



As for the hierarchy issue - this is actually intended behavior.  It 
makes the most sense to mask the namespaces for all personal 
namespaces (Jan's proposal for prefs storing uses this same argument) 
and show them on the same top-level as INBOX rather than as 
subfolders.  this tracks with RFC 2422 which states:

If an INBOX exists for a user, it MUST appear within the user's personal

namespace.



As for the expansion stuff, that was the last bit of code I worked on 
yesterday and probably needs additional tweaking.
2005-08-25 08:06:32 Jan Schneider Comment #14 Reply to this comment
This is what I have at the moment, personal ns is INBOX., user ns is user.:



In the folder view, all top level folders are on the same level like 
INBOX, they used to be children of INBOX. Only polled folders are shown.

That made me think, I clicked on Expand all, now I get more folders 
but still not all, and I get a lot of: "Notice: Undefined index: 
INBOX.horde.apps in /home/jan/headhorde/framework/IMAP/IMAP/Tree.php 
on line 489". The user. namespace is missing completely. Clicking on 
Refresh kills the folder list completely, only the INBOX and virtual 
folders stay.



The sidebar only shows the top level folders, also on the same level 
like INBOX, even after reloading the folder view.



The drop down list show all folders, including the user. namespace, in 
the correct hierarchy. It used to show the INBOX children on the same 
level, which made it easier to navigate through the list.



After refreshing the poll pref, refreshing the folder list, loggin 
out, and logging in again, I now see all top level folders, even 
including the containers and other top level entries that missed 
earlier. But all folders and containers that have children show up 
expanded, but without children.



If it helps and you need a Cyrus server to test with, we can probably 
arrange something.
2005-08-25 06:57:20 wk (at) mailstation (dot) de Comment #13 Reply to this comment
Since checking out the latest HEAD code a few minutes ago, I can see 
and access all my folders again. Thanks!
2005-08-16 19:10:35 wk (at) mailstation (dot) de Comment #12 Reply to this comment
The other error on line 1518 (see my latest comment below) is gone, 
too. While I still can't see any subfolders below my inbox, in 
"Folders" at least my inbox shows up again which it didn't before.
2005-08-16 18:52:44 Michael Slusarz Comment #11 Reply to this comment
See Bug 2459.  This issue has been resolved.
2005-08-16 01:05:38 Michael Slusarz Comment #10 Reply to this comment
What does "no manipulation" mean?
2005-08-15 12:59:51 eculp (at) encontacto (dot) net Comment #9 Reply to this comment
Just a confirmation with courier imap and ldap.



I am running about as vainilla as a courier config can be and I have 
no conflicting preferences, no defined namespace, etc.  I hoped that I 
would slip by but no luck  ;)  I can see all my mail folders from imp 
and can access the messages but no manipulation.



This is from a cvs update of a couple hours ago.
2005-08-12 18:23:34 wk (at) mailstation (dot) de Comment #8 Reply to this comment
Still broken for me: I don't see any subfolders below my inbox on 
Cyrus IMAPd 2.2.12.



Entering "Folders" and selecting "Expand all" causes this error:



Invalid argument supplied for foreach() in 
/usr/lib/php/Horde/IMAP/Tree.php on line 1518
2005-08-12 14:28:43 vilius (at) lnk (dot) lt Comment #7 Reply to this comment
I encoutered another problem. I can't set/create Trash folder through 
preferences.
2005-08-12 14:26:14 Michael Slusarz Comment #6 Reply to this comment
Good catch.  Some other unfinished stuff I had been working on 
mistakenly got into that commit.  Reverted in CVS.
2005-08-12 09:04:18 vilius (at) lnk (dot) lt Comment #5 Reply to this comment
It seems that my problems was because of this commit: 
http://cvs.horde.org/diff.php/imp/templates/message/headers.inc?r1=2.55&r2=2.56&ty=u



I reverted and everything is OK now.
2005-08-12 07:45:26 vilius (at) lnk (dot) lt Comment #4 Reply to this comment
My observations on todays HEAD regarding namespace support:



Last commit works normal in my environment (Cyrus IMAP Server  2.2.3 
on Redhat Enterprise Linux 3). I can see all my folders, I'm not using 
shared folders. However I can't see any attachments in messages. I 
haven't seen any commits for MIME so I think this will be connected.
2005-08-11 07:46:49 Jan Schneider Comment #3 Reply to this comment
FYI, I tried to reproduce the issues I had at the client's side with 
altnamespace, but it works fine for me at home.
2005-08-11 07:05:08 Michael Slusarz Assigned to Michael Slusarz
 
2005-08-11 05:33:32 Michael Slusarz Comment #2 Reply to this comment
Example problem from dev@:



I have one user on Cyrus with only an INBOX and no other mailboxes.

They have access to one folder shared by another user. When they login

to IMP, they see nothing listed where mailboxes should be.  The response

to the NAMESPACE command is:



a001 NAMESPACE

* NAMESPACE NIL (("~ Other Users." ".")) (("~ Public Folders." "."))

a001 OK Completed



Other users on my server with an INBOX and plenty of folders of their

own, but no access to other users folders (besides public folders), have

a NAMESPACE response of:



a002 NAMESPACE

* NAMESPACE (("" ".")) NIL (("~ Public Folders." "."))

a002 OK Completed



The folders show up normally in IMP for these users.



Both my folders and namespace parameters were '' in

imp/config/servers.php before.
2005-08-11 05:29:02 Michael Slusarz Comment #1
Type ⇒ Bug
State ⇒
Priority ⇒ 3. High
Summary ⇒ IMP namespace support
Queue ⇒ IMP
Reply to this comment
This is the bug to track issues related to the auto-determination of 
IMAP namespaces and delimiters through the new IMP_IMAPClient:: 
library.  As of 8/10/2005 it is a known issue that various namespaces 
other than the base namespace do not seem to be working correctly.   
Additionally, several people have reported problems with the delimiter 
not being set correctly.

Saved Queries